

I incorporated your changes to c2.
However, I felt that things were getting out of hand when
c2 used 7-digit numbers for labels it introduced,
when there were no local labels in the input.
[In the spirit of 16 bits, I made lgensym a 'long' array.
 In the spirit of 32 bits, I changed alloc():
	n = an;
	n+=sizeof(char *)-1;
	n &= ~(sizeof(char *)-1);
	if (lasta+n >= lastr) {
]

Aug 26 14:18 1980  s.c20.c: -r1.34 vs. -r1.35 Page 1

13c13
< long	isn	= 2000000;
---
> int	isn	= 20000;
17c17
<   {100000,200000,300000,400000,500000,600000,700000,800000,900000,1000000};
---
>   {100000L,200000L,300000L,400000L,500000L,600000L,700000L,800000L,900000L,1000000L};
131c131
< 				if (isn<=p->labno) isn=1+p->labno;
---
> 				if (p->labno<100000L && isn<=p->labno) isn=1+p->labno;